# UnDot

## Übersicht

Autor: Tom Barry
Version: 0.0.1.1
Download: http://mywebpages.comcast.net/trbarry/downloads.htm
Kategorie: Verschiedenes
Anforderungen:

- YV12 oder YUY2 Farbformat
- SSEMMX (=ISSE) fähige CPU

## Description

UnDot is a simple median filter for removing dots, that is stray orphan pixels and mosquito noise. Basically, it just clips each pixel value to stay within min and max of its eight surrounding neigbors.

### Usage

In your Avisynth file use commands similar to

    LoadPlugin("F:\UnDot\UnDot.dll")
    Avisource("D:\wherever\myfile.avi")
    UnDot()

Of course replace the file and directory names with your own. There are no parameters.

### Known issues

In YV12 format it will filter both luma and chroma. In YUY2 format it will only filter luma.

### Change Log

2003/01/18 V 0.0.1.1 Use AvisynthPluginInit2

2002/11/03 V 0.0.1.0 Initial test release for Avisynth 2.5 alpha only